# Uses of Class
org.apache.commons.math3.fitting.HarmonicCurveFitter

Packages that use HarmonicCurveFitter
Package
Description
org.apache.commons.math3.fitting
Classes to perform curve fitting.

## Uses of HarmonicCurveFitter in org.apache.commons.math3.fitting

Methods in org.apache.commons.math3.fitting that return HarmonicCurveFitter
Modifier and Type
Method
Description
`static HarmonicCurveFitter`
HarmonicCurveFitter.`create()`
Creates a default curve fitter.
`HarmonicCurveFitter`
HarmonicCurveFitter.`withMaxIterations(int newMaxIter)`
Configure the maximum number of iterations.
`HarmonicCurveFitter`
HarmonicCurveFitter.`withStartPoint(double[] newStart)`
Configure the start point (initial guess).